WrongClassException (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class WrongClassException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.WrongClassException

All Implemented Interfaces:
  Serializable

    public class WrongClassException

extends HibernateException

Thrown when `Session.load()` selects a row with the given primary key (identifier value) but the row's discriminator value specifies a subclass that is not assignable to the class requested by the user.

See Also:
  Serialized Form

Constructor Summary
`WrongClassException(String msg, Serializable identifier, String clazz)`

Method Summary
`String` | `getEntityName()`
`Serializable` | `getIdentifier()`
`String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrongClassException

    public WrongClassException(String msg,
                               Serializable identifier,
                               String clazz)

Method Detail

### getIdentifier

    public Serializable getIdentifier()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getEntityName

    public String getEntityName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.